This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478719 - SELinux is preventing logrotate from 'write' accesses on the file /usr/lib/tmpfiles.d/log/sphinx/searchd.log.
SELinux is preventing logrotate from 'write' accesses on the file /usr/lib/tm...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:00ec4935042f60f0aa1a612e554...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 10:40 EDT by Claude Frantz
Modified: 2017-08-06 10:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Claude Frantz 2017-08-06 10:40:27 EDT
Description of problem:
SELinux is preventing logrotate from 'write' accesses on the file /usr/lib/tmpfiles.d/log/sphinx/searchd.log.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that logrotate should be allowed write access on the searchd.log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'logrotate' --raw | audit2allow -M my-logrotate
# semodule -X 300 -i my-logrotate.pp

Additional Information:
Source Context                system_u:system_r:logrotate_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/tmpfiles.d/log/sphinx/searchd.log [ file
                              ]
Source                        logrotate
Source Path                   logrotate
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.3.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.11-300.fc26.i686+PAE #1 SMP
                              Mon Jul 17 16:53:51 UTC 2017 i686 i686
Alert Count                   7
First Seen                    2017-06-25 08:10:11 CEST
Last Seen                     2017-08-06 15:51:11 CEST
Local ID                      ae82bbad-45d5-4d4c-8230-d81f96ef1841

Raw Audit Messages
type=AVC msg=audit(1502027471.89:263): avc:  denied  { write } for  pid=12965 comm="logrotate" name="searchd.log" dev="sda5" ino=6160504 scontext=system_u:system_r:logrotate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file permissive=0


Hash: logrotate,logrotate_t,lib_t,file,write

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.11-300.fc26.i686+PAE
type:           libreport

Potential duplicate: bug 1464728

Note You need to log in before you can comment on or make changes to this bug.